Last Comment Bug 760624 - Changed Hover.com password results in Thunderbird saying that there is a network problem.
: Changed Hover.com password results in Thunderbird saying that there is a netw...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Account Manager (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: David :Bienvenu
:
Mentors:
Depends on:
Blocks: AccountProvisioner 757501
  Show dependency treegraph
 
Reported: 2012-06-01 11:53 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-06-12 07:26 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
fixed
+
fixed


Attachments
proposed fix (2.04 KB, patch)
2012-06-01 12:38 PDT, David :Bienvenu
mconley: review+
mozilla: approval‑comm‑aurora+
standard8: approval‑comm‑release+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-06-01 11:53:54 PDT
When I change my Mailbox password (through Hover)
The next time I go into Thunderbird,  it gives that message "Server <email@address.com>  has disconnected.  The server may have gone down or there may be a network problem."   instead of prompting for the password again (like it would do before, when no password was being set at all).
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-06-01 12:35:17 PDT
David says that this is happening because Hover.com is dropping the connection when the auth attempt fails, and that our IMAP code is kinda busted in that situation.

What do we want to do about this?
Comment 2 David :Bienvenu 2012-06-01 12:38:51 PDT
Created attachment 629299 [details] [diff] [review]
proposed fix

Mike, you want to try with this patch? It's fairly safe, as last minute changes go.
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-06-01 12:47:11 PDT
Comment on attachment 629299 [details] [diff] [review]
proposed fix

Review of attachment 629299 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good. Now the question is, what do we do with this?
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-06-01 12:50:06 PDT
Mark:

Are we effectively past the point where something could get slipped into beta?

-Mike
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-06-01 13:14:08 PDT
landed on trunk - http://hg.mozilla.org/comm-central/rev/ebe999a8371e
Comment 6 David :Bienvenu 2012-06-01 13:24:09 PDT
Comment on attachment 629299 [details] [diff] [review]
proposed fix

[Triage Comment]
I'll land this on aurora in a bit, maybe later today.
Comment 7 David :Bienvenu 2012-06-01 13:41:07 PDT
pushed to aurora - http://hg.mozilla.org/releases/comm-aurora/rev/648090f7ec78
Comment 8 David :Bienvenu 2012-06-01 13:42:11 PDT
Comment on attachment 629299 [details] [diff] [review]
proposed fix

[Approval Request Comment]
I'll let Standard8 make the call about beta/final.

I doubt that it's only hover affected by this issue, so there is a more general upside to taking this patch.
Comment 9 Mark Banner (:standard8) 2012-06-05 12:13:29 PDT
Comment on attachment 629299 [details] [diff] [review]
proposed fix

This is now on the beta channel.
Comment 10 Mark Banner (:standard8) 2012-06-12 05:53:00 PDT
Comment on attachment 629299 [details] [diff] [review]
proposed fix

[Triage Comment]
We've not heard any issues with this, so we'll take it in 13.0.1.
Comment 11 Mark Banner (:standard8) 2012-06-12 07:26:32 PDT
Fixed for 13.0.1:

https://hg.mozilla.org/releases/comm-release/rev/0c203b72f169

Note You need to log in before you can comment on or make changes to this bug.